Last Comment Bug 327785 - Need a universal JEP
: Need a universal JEP
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: Java: OJI (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
: Pete Zha
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-18 21:30 PST by Mark Mentovai
Modified: 2010-10-16 12:26 PDT (History)
6 users (show)
dveditz: blocking1.8.1+
dveditz: blocking1.8.0.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fat JEP 0.9.5+c + x86 patches (44 bytes, text/plain)
2006-02-18 21:54 PST, Mark Mentovai
jaas: review+
mikepinkerton: superreview+
jaas: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details

Description Mark Mentovai 2006-02-18 21:30:05 PST
We need a universal JavaEmbeddingPlugin and MRJPluginJEP to accompany any universal product release.  Because the JEP exists in our tree in binary form, we can't rely on the new cross/universal build enhancements to produce a fat JEP, we need to check one in.

I've built fat JEP bits from 0.9.5+c source with the x86 compatibility patches in bug 315163 and bug 325084, and have shipped them with Camino 1.0.  Review and approval is needed to land these on the trunk, 1_8, and 1_8_0 branches.
Comment 1 Mark Mentovai 2006-02-18 21:54:28 PST
Created attachment 212369 [details]
Fat JEP 0.9.5+c + x86 patches

I'm not going to chew up space by attaching the huge binary bits to this bug (they'd exceed the limit anyway).  The fat JEP I'm talking about already lives on CAMINO_1_0_BRANCH at mozilla/plugin/oji/JEP, you can also pick up the files (stripped of debugging symbols) from Camino 1.0 in Camino.app/Contents/MacOS/plugins.

This dummy file and the requests on it represent that fat JEP 0.9.5+c with patches from bug 315163 and bug 325084.
Comment 2 Mark Mentovai 2006-02-18 21:56:33 PST
(Steven doesn't have an x86 Mac yet, that's why these patches haven't been addressed in a JEP release, and why he hasn't released a fat JEP.)
Comment 3 Daniel Veditz [:dveditz] 2006-02-21 17:57:36 PST
Comment on attachment 212369 [details]
Fat JEP 0.9.5+c + x86 patches

approved for 1.8.0 branch, a=dveditz
Comment 4 Mark Mentovai 2006-02-21 20:35:56 PST
smfr, needs sr.
Comment 5 Mike Pinkerton (not reading bugmail) 2006-02-22 10:24:01 PST
Comment on attachment 212369 [details]
Fat JEP 0.9.5+c + x86 patches

sr=pink
Comment 6 Mark Mentovai 2006-02-22 11:12:00 PST
Universal JEP 0.9.5+c checked in on the trunk.
Comment 7 Mark Mentovai 2006-02-22 11:42:47 PST
Checked JEP 0.9.5+c universal + patches in on 1_8 and 1_8_0.
Comment 8 Mark Mentovai 2006-02-23 11:44:21 PST
For reference, information on exactly what was checked in from the checkin message:

327785 Universal (fat) JEP. This is JEP 0.9.5+c. JavaEmbeddingPlugin.bundle was rebuilt for both architectures with patches from 315163 and 325084. MRJPlugin.plugin was rebuilt for x86 with patches from 315163. r=josh sr=pink a/1.8=josh a/1.8.0=dveditz
Comment 9 Mark Mentovai 2006-02-24 15:27:36 PST
Re-landed on both branches - I initially only landed 0.9.5+c without patches and without x86.
Comment 10 Steven Michaud [:smichaud] (Retired) 2006-03-13 15:41:19 PST
Last week I got my MacBook Pro, and today I've released a new version of the
JEP (0.9.5+d) whose binaries are "universal binaries"!

http://javaplugin.sourceforge.net/

I included all of Mark's Intel-specific changes (comment #0), though sometimes
I expanded them a bit (for example I'm now using Objective C "categories" for
all undocumented APIs, and not just to replace calls to objc_msgSend_stret()).

Thanks again, Mark, for making your own JEP universal binaries!  You took a
lot of pressure off of me, and you found out what needed to be done.

I don't know whether or not you guys want to go back to just putting JEP
binaries in the build tree, but that's up to you.
Comment 11 Mark Mentovai 2006-03-13 15:46:34 PST
(In reply to comment #10)
> I don't know whether or not you guys want to go back to just putting JEP
> binaries in the build tree, but that's up to you.

Yes, we do!

I kept having a recurring nightmare that you would release a new JEP version but it would still be PPC-only.

Note You need to log in before you can comment on or make changes to this bug.